/* IMPORT DES POLICES */
@font-face {
    font-family: "Grotesk";
    src: url("../../media/font/Grotesk-01Extrafin.woff2") format("woff2");
    font-weight: 200;
    /* Extra-Light */
    font-style: normal;
}

@font-face {
    font-family: "Grotesk";
    src: url("../../media/font/Grotesk-02Mince.woff2") format("woff2");
    font-weight: 300;
    /* Light */
    font-style: normal;
}

@font-face {
    font-family: "Grotesk";
    src: url("../../media/font/Grotesk-03Regular.woff2") format("woff2");
    font-weight: 400;
    /* Regular */
    font-style: normal;
}

@font-face {
    font-family: "Grotesk";
    src: url("../../media/font/Grotesk-04Gras.woff2") format("woff2");
    font-weight: 500;
    /* Bold */
    font-style: normal;
}

@-webkit-keyframes shine {
    from {
        -webkit-mask-position: 150%;
    }

    to {
        -webkit-mask-position: -50%;
    }
}

/* GLOBALS */
:root {
    --color-main-black: #120801;
    --color-main-black-60: #1208019c;
    --color-main-black-40: #12080165;
    --color-main-blue: #183a37;
    --color-main-cyan: #527673;
    --color-main-orange: #fdad86;
    --color-main-white: #fdf7f0;
}

*,
*::after,
*::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

a {
    font-style: normal;
    text-decoration: none;
}

li {
    list-style: none;
}

h1 {
    font-family: Grotesk;
    font-weight: 400;
    font-size: 4rem;
    color: var(--color-main-black);
}

body {
    background: var(--color-main-white);
    min-height: 100vh;
    display: grid;
    grid-template-rows: auto 1fr auto;
    overflow-x: hidden;
}

p,
label,
input,
button {
    font-family: "Roboto", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 400;
    font-size: 1.3rem;
    color: var(--color-main-black);
}

h2 {
    font-family: "Roboto", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 400;
    font-size: 2rem;
    color: var(--color-main-black);
}

.hidden {
    display: none;
}

.header-title {
    text-align: center;
    transition: all 0.2s ease;
}

.header-title:hover {
    -webkit-mask-image: linear-gradient(
        -75deg,
        var(--color-main-black) 20%,
        var(--color-main-black-60) 50%,
        var(--color-main-black) 80%
    );
    -webkit-mask-size: 200%;
    animation: shine 1.5s infinite;
}

.gb-button1 {
    align-items: center;
    background-color: #ffffff;
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 0.25rem;
    box-shadow: rgba(0, 0, 0, 0.02) 0 1px 3px 0;
    box-sizing: border-box;
    color: rgba(0, 0, 0, 0.85);
    cursor: pointer;
    font-family: "Roboto", serif;
    font-size: 16px;
    font-weight: 500;
    justify-content: center;
    line-height: 1.25;
    margin: 0;
    min-height: 3rem;
    padding: calc(0.875rem - 1px) calc(1.5rem - 1px);
    position: relative;
    text-decoration: none;
    transition: all 250ms;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: baseline;
}

.gb-button1:hover,
.gb-button1:focus {
    border-color: rgba(0, 0, 0, 0.15);
    box-shadow: rgba(0, 0, 0, 0.1) 0 4px 12px;
    color: rgba(0, 0, 0, 0.65);
}

.gb-button1:hover {
    transform: translateY(-1px);
}

.gb-button1:active {
    background-color: #f0f0f1;
    border-color: rgba(0, 0, 0, 0.15);
    box-shadow: rgba(0, 0, 0, 0.06) 0 2px 4px;
    color: rgba(0, 0, 0, 0.65);
    transform: translateY(0);
}

/* -----------------/----------\---------------- */
/* ----------------|---INDEX---|---------------- */
/* ----------------\----------/----------------- */

/* header */
.index .header-header {
    margin: 1.5rem;
    display: flex;
    justify-content: center;
}

/* main */

.index main {
    width: auto;
    max-width: 1280px;
    margin: 0 auto;
    padding: 4rem;
    display: flex;
    flex-direction: column;
    gap: 4rem;
}

.index .main-box {
    text-align: justify;
    max-width: 800px;
    margin: 0 auto;
    /* background-color: var(--color-main-cyan);
    padding: 2rem 3rem;
    box-shadow: 10px 10px 0px 0px var(--color-main-black); */
}

.index .main-text {
    text-align: center;
    margin-bottom: 1rem;
    color: var(--color-main-black);
}

.index .main-link {
    color: var(--color-main-blue);
    text-decoration: underline;
    transition: color 0.15s ease-out;
}

.index .main-link:hover {
    color: var(--color-main-orange);
}

.index .gamelist-gamelist {
    display: grid;
    grid-template-columns: 1fr;
    width: auto;
    margin: 0 auto;
    gap: 0.5rem;
    height: 14rem;
}

.index .gamelist-gamelist li {
    height: 100%;
}

.index .gamelist-gamelist li a {
    width: auto;
    height: 100%;
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: auto;
    background-color: black;
    transition: all 0.2s ease;
    overflow: hidden;
}

.index .gamelist-img {
    grid-area: 1/1/2/2;
    width: 100%;
    height: 100%;
    object-fit: cover;
    align-self: center;
    justify-self: center;
    opacity: 0.8;
    transition: all 0.4s ease-out;
}

.index .gamelist-gamelist li a:hover .gamelist-img {
    opacity: 0.4;
    transform: scale(1.05);
}

.index .gamelist-h2 {
    width: 100%;
    grid-area: 1/1/2/2;
    align-self: center;
    justify-self: center;
    text-align: center;
    width: auto;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: var(--color-main-black-60);
    z-index: 10;
    transition: all 0.2s ease-out;
}

.index .gamelist-gamelist li a:hover .gamelist-h2 {
    color: var(--color-main-white);
    transform: scale(1.4);
}

.index .gamelist-year {
    width: 100%;
    grid-area: 1/1/2/2;
    align-self: flex-start;
    justify-self: end;
    width: auto;
    margin: 1rem;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: var(--color-main-black);
    z-index: 10;
    transition: all 0.2s ease-out;
}

.index .gamelist-gamelist li a:hover .gamelist-year {
    color: var(--color-main-white);
}

/* version ordinateur de 769px*/
@media (min-width: 769px) {
    .index .gamelist-gamelist {
        grid-template-columns: 1fr 1fr;
    }
}

/* version ordinateur de 769px*/
@media (min-width: 1279px) {
    .index .gamelist-gamelist {
        grid-template-columns: 1fr 1fr 1fr;
    }
}


/* -----------------/----------\---------------- */
/* ----------------|--CLICKER--|---------------- */
/* ----------------\----------/----------------- */

.clicker header {
    position: absolute;
    top: 0;
    right: 0;
    width: min-content;
    z-index: 100;
}

.clicker html {
    height: 100vh;
}

.clicker body {
    height: 100%;
}

.clicker .main {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100vh;
    padding: 0;
}

.clicker .clicker__amelioration {
    width: 50%;
    height: 100%;
    padding: 1rem;
}

.clicker .clicker__jeu {
    width: 50%;
    height: 100%;
    background: -webkit-linear-gradient(90deg, #030312, #0e0e3e);
    padding: 2rem;
    display: grid;
    grid-template-rows: auto auto 1fr;
}

.clicker .jeu__compteur-barre {
    width: 100%;
    height: 3rem;
    background-color: white;
    padding: 0.25rem;
    overflow: hidden;
}

.clicker .jeu__compteur-progress {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    background-color: forestgreen;
    min-width: 2px;
    width: 0px;
    z-index: 10;
    overflow: visible;
}

.clicker .jeu__chiffres {
    display: flex;
    justify-content: left;
    gap: 4rem;
}

.clicker p {
    color: var(--color-main-white);
    font-family: "Roboto", serif;
}

.clicker button {
    border: none;
}

.clicker .jeu__poisson-bouton {
    width: fit-content;
    height: 20%;
    background-color: transparent;
    transition: all 0.2s ease;
}

.clicker .jeu__poisson-bouton:active {
    transform: scale(0.95);
}

.clicker .jeu__poisson-img {
    height: 100%;
    user-select: none;
}

.clicker .clicker__amelioration {
    background-color: rgb(218, 218, 218);
    position: relative;
}

.clicker .clicker__amelioration-list {
    display: flex;
    align-items: center;
    flex-direction: column;
    height: 100%;
}

.clicker .clicker__amelioration-item {
    margin: 0 0 2rem 0;
}

.clicker .clicker__amelioration-item:hover {
    transform: translateX(1%);
}

.clicker .clicker__amelioration-button {
    padding: 1rem 2rem;
    border-radius: 10px;
}

.clicker .popup__malus {
    position: absolute;
    bottom: 0;
    right: 0;
    background-color: #009c22;
    outline: 2px solid rgb(255, 255, 255);
    padding: 2rem;
    color: black;
    font-size: 1.5rem;
    border-radius: 15px;
    opacity: 0;
    transition: opacity 0.2s ease-in-out;
}

.clicker .popup__malus.active {
    opacity: 1;
}

/***Ecran à partir de 640px***/
/***Ecran à partir de 768px***/
/***Ecran à partir de 1024px***/
/***Ecran à partir de 1280px***/
/***Ecran à partir de 1536px***/
/**********VARIABLES**********/
/**********PAGE ACCUEIL**********/
/***Ecran à partir de 0px***/
.clicker body {
    overflow-x: hidden;
}

.clicker .main__section {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 90vh;
    position: relative;
    pointer-events: none;
}

.clicker .main__section::before {
    content: "";
    inset: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    background-image: url("../media/photo/bg-home.webp");
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.clicker .intro__content {
    background: rgba(255, 255, 255, 0.25);
    backdrop-filter: blur(4px);
    border-radius: 10px;
    border: 1px solid rgba(255, 255, 255, 0.18);
    padding: 2rem;
}

.clicker .intro__content .intro__title {
    text-align: center;
    font-size: 1.8rem;
}

.clicker .home__about {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 50vh;
}

.clicker .home__about .about__title {
    font-size: 2rem;
    margin: 0 0 1rem 0;
}

.pendu header {
    position: absolute;
    top: 0;
    right: 0;
    width: min-content;
    z-index: 100;
}
